<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Writer\Xlsx\Style</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic inherited">
        <a href="#method___construct" title="__construct ::Set parent Xlsx object.">
            <span class="description">Set parent Xlsx object.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_allBorders" title="allBorders ::Get an array of all borders.">
            <span class="description">Get an array of all borders.</span><pre>allBorders</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_allConditionalStyles" title="allConditionalStyles ::Get an array of all conditional styles.">
            <span class="description">Get an array of all conditional styles.</span><pre>allConditionalStyles</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_allFills" title="allFills ::Get an array of all fills.">
            <span class="description">Get an array of all fills.</span><pre>allFills</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_allFonts" title="allFonts ::Get an array of all fonts.">
            <span class="description">Get an array of all fonts.</span><pre>allFonts</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_allNumberFormats" title="allNumberFormats ::Get an array of all number formats.">
            <span class="description">Get an array of all number formats.</span><pre>allNumberFormats</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_allStyles" title="allStyles ::Get an array of all styles.">
            <span class="description">Get an array of all styles.</span><pre>allStyles</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getParentWriter" title="getParentWriter ::Get parent Xlsx object.">
            <span class="description">Get parent Xlsx object.</span><pre>getParentWriter</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_writeStyles" title="writeStyles ::Write styles to XML format.">
            <span class="description">Write styles to XML format.</span><pre>writeStyles</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>                        <li class="methodprivate">
                            <a href="#method_writeBorder" title="writeBorder ::Write Border.">
                                <span class="description">Write Border.</span><pre>writeBorder</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_writeBorderPr" title="writeBorderPr ::Write BorderPr.">
                                <span class="description">Write BorderPr.</span><pre>writeBorderPr</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_writeCellStyleDxf" title="writeCellStyleDxf ::Write Cell Style Dxf.">
                                <span class="description">Write Cell Style Dxf.</span><pre>writeCellStyleDxf</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_writeCellStyleXf" title="writeCellStyleXf ::Write Cell Style Xf.">
                                <span class="description">Write Cell Style Xf.</span><pre>writeCellStyleXf</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_writeFill" title="writeFill ::Write Fill.">
                                <span class="description">Write Fill.</span><pre>writeFill</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_writeFont" title="writeFont ::Write Font.">
                                <span class="description">Write Font.</span><pre>writeFont</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_writeGradientFill" title="writeGradientFill ::Write Gradient Fill.">
                                <span class="description">Write Gradient Fill.</span><pre>writeGradientFill</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_writeNumFmt" title="writeNumFmt ::Write NumberFormat.">
                                <span class="description">Write NumberFormat.</span><pre>writeNumFmt</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_writePatternFill" title="writePatternFill ::Write Pattern Fill.">
                                <span class="description">Write Pattern Fill.</span><pre>writePatternFill</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Style</h1>
                <small style="display: block; text-align: right">                        Extends<a href="../classes/PhpOffice.PhpSpreadsheet.Writer.Xlsx.WriterPart.html">\PhpOffice\PhpSpreadsheet\Writer\Xlsx\WriterPart</a>                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct inherited" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>Set parent Xlsx object.</h2>
                            <pre>__construct(\PhpOffice\PhpSpreadsheet\Writer\Xlsx $pWriter)</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pWriter</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Writer.Xlsx.html">\PhpOffice\PhpSpreadsheet\Writer\Xlsx</a></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_allBorders"></a>
                        <div class="element clickable methodpublic method_allBorders" data-toggle="collapse" data-target=".method_allBorders .collapse">
                            <h2>Get an array of all borders.</h2>
                            <pre>allBorders(\PhpOffice\PhpSpreadsheet\Spreadsheet $spreadsheet): array&lt;mixed,\PhpOffice\PhpSpreadsheet\Style\Borders&gt;</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$spreadsheet</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Spreadsheet.html">\PhpOffice\PhpSpreadsheet\Spreadsheet</a></code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>array&lt;mixed,<a href="../classes/PhpOffice.PhpSpreadsheet.Style.Borders.html">\PhpOffice\PhpSpreadsheet\Style\Borders</a>&gt;</code><p><p>All borders in PhpSpreadsheet</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_allConditionalStyles"></a>
                        <div class="element clickable methodpublic method_allConditionalStyles" data-toggle="collapse" data-target=".method_allConditionalStyles .collapse">
                            <h2>Get an array of all conditional styles.</h2>
                            <pre>allConditionalStyles(\PhpOffice\PhpSpreadsheet\Spreadsheet $spreadsheet): array&lt;mixed,\PhpOffice\PhpSpreadsheet\Style\Conditional&gt;</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$spreadsheet</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Spreadsheet.html">\PhpOffice\PhpSpreadsheet\Spreadsheet</a></code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>array&lt;mixed,<a href="../classes/PhpOffice.PhpSpreadsheet.Style.Conditional.html">\PhpOffice\PhpSpreadsheet\Style\Conditional</a>&gt;</code><p><p>All conditional styles in PhpSpreadsheet</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_allFills"></a>
                        <div class="element clickable methodpublic method_allFills" data-toggle="collapse" data-target=".method_allFills .collapse">
                            <h2>Get an array of all fills.</h2>
                            <pre>allFills(\PhpOffice\PhpSpreadsheet\Spreadsheet $spreadsheet): array&lt;mixed,\PhpOffice\PhpSpreadsheet\Style\Fill&gt;</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$spreadsheet</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Spreadsheet.html">\PhpOffice\PhpSpreadsheet\Spreadsheet</a></code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>array&lt;mixed,<a href="../classes/PhpOffice.PhpSpreadsheet.Style.Fill.html">\PhpOffice\PhpSpreadsheet\Style\Fill</a>&gt;</code><p><p>All fills in PhpSpreadsheet</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_allFonts"></a>
                        <div class="element clickable methodpublic method_allFonts" data-toggle="collapse" data-target=".method_allFonts .collapse">
                            <h2>Get an array of all fonts.</h2>
                            <pre>allFonts(\PhpOffice\PhpSpreadsheet\Spreadsheet $spreadsheet): array&lt;mixed,\PhpOffice\PhpSpreadsheet\Style\Font&gt;</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$spreadsheet</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Spreadsheet.html">\PhpOffice\PhpSpreadsheet\Spreadsheet</a></code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>array&lt;mixed,<a href="../classes/PhpOffice.PhpSpreadsheet.Style.Font.html">\PhpOffice\PhpSpreadsheet\Style\Font</a>&gt;</code><p><p>All fonts in PhpSpreadsheet</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_allNumberFormats"></a>
                        <div class="element clickable methodpublic method_allNumberFormats" data-toggle="collapse" data-target=".method_allNumberFormats .collapse">
                            <h2>Get an array of all number formats.</h2>
                            <pre>allNumberFormats(\PhpOffice\PhpSpreadsheet\Spreadsheet $spreadsheet): array&lt;mixed,\PhpOffice\PhpSpreadsheet\Style\NumberFormat&gt;</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$spreadsheet</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Spreadsheet.html">\PhpOffice\PhpSpreadsheet\Spreadsheet</a></code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>array&lt;mixed,\PhpOffice\PhpSpreadsheet\Style\NumberFormat&gt;</code><p><p>All number formats in PhpSpreadsheet</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_allStyles"></a>
                        <div class="element clickable methodpublic method_allStyles" data-toggle="collapse" data-target=".method_allStyles .collapse">
                            <h2>Get an array of all styles.</h2>
                            <pre>allStyles(\PhpOffice\PhpSpreadsheet\Spreadsheet $spreadsheet): array&lt;mixed,\PhpOffice\PhpSpreadsheet\Style\Style&gt;</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$spreadsheet</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Spreadsheet.html">\PhpOffice\PhpSpreadsheet\Spreadsheet</a></code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>array&lt;mixed,\PhpOffice\PhpSpreadsheet\Style\Style&gt;</code><p><p>All styles in PhpSpreadsheet</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getParentWriter"></a>
                        <div class="element clickable methodpublic method_getParentWriter inherited" data-toggle="collapse" data-target=".method_getParentWriter .collapse">
                            <h2>Get parent Xlsx object.</h2>
                            <pre>getParentWriter(): \PhpOffice\PhpSpreadsheet\Writer\Xlsx</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Writer.Xlsx.html">\PhpOffice\PhpSpreadsheet\Writer\Xlsx</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_writeBorder"></a>
                        <div class="element clickable methodprivate method_writeBorder" data-toggle="collapse" data-target=".method_writeBorder .collapse">
                            <h2>Write Border.</h2>
                            <pre>writeBorder(\PhpOffice\PhpSpreadsheet\Shared\XMLWriter $objWriter,\PhpOffice\PhpSpreadsheet\Style\Borders $pBorders)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$objWriter</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.XMLWriter.html">\PhpOffice\PhpSpreadsheet\Shared\XMLWriter</a></code><p><p>XML Writer</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$pBorders</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Borders.html">\PhpOffice\PhpSpreadsheet\Style\Borders</a></code><p><p>Borders style</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_writeBorderPr"></a>
                        <div class="element clickable methodprivate method_writeBorderPr" data-toggle="collapse" data-target=".method_writeBorderPr .collapse">
                            <h2>Write BorderPr.</h2>
                            <pre>writeBorderPr(\PhpOffice\PhpSpreadsheet\Shared\XMLWriter $objWriter,string $pName,\PhpOffice\PhpSpreadsheet\Style\Border $pBorder)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$objWriter</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.XMLWriter.html">\PhpOffice\PhpSpreadsheet\Shared\XMLWriter</a></code><p><p>XML Writer</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$pName</h4>
                                                <code>string</code><p><p>Element name</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$pBorder</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Border.html">\PhpOffice\PhpSpreadsheet\Style\Border</a></code><p><p>Border style</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_writeCellStyleDxf"></a>
                        <div class="element clickable methodprivate method_writeCellStyleDxf" data-toggle="collapse" data-target=".method_writeCellStyleDxf .collapse">
                            <h2>Write Cell Style Dxf.</h2>
                            <pre>writeCellStyleDxf(\PhpOffice\PhpSpreadsheet\Shared\XMLWriter $objWriter,\PhpOffice\PhpSpreadsheet\Style\Style $pStyle)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$objWriter</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.XMLWriter.html">\PhpOffice\PhpSpreadsheet\Shared\XMLWriter</a></code><p><p>XML Writer</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$pStyle</h4>
                                                <code>\PhpOffice\PhpSpreadsheet\Style\Style</code><p><p>Style</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_writeCellStyleXf"></a>
                        <div class="element clickable methodprivate method_writeCellStyleXf" data-toggle="collapse" data-target=".method_writeCellStyleXf .collapse">
                            <h2>Write Cell Style Xf.</h2>
                            <pre>writeCellStyleXf(\PhpOffice\PhpSpreadsheet\Shared\XMLWriter $objWriter,\PhpOffice\PhpSpreadsheet\Style\Style $pStyle,\PhpOffice\PhpSpreadsheet\Spreadsheet $spreadsheet)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Writer\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$objWriter</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.XMLWriter.html">\PhpOffice\PhpSpreadsheet\Shared\XMLWriter</a></code><p><p>XML Writer</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$pStyle</h4>
                                                <code>\PhpOffice\PhpSpreadsheet\Style\Style</code><p><p>Style</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$spreadsheet</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Spreadsheet.html">\PhpOffice\PhpSpreadsheet\Spreadsheet</a></code><p><p>Workbook</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_writeFill"></a>
                        <div class="element clickable methodprivate method_writeFill" data-toggle="collapse" data-target=".method_writeFill .collapse">
                            <h2>Write Fill.</h2>
                            <pre>writeFill(\PhpOffice\PhpSpreadsheet\Shared\XMLWriter $objWriter,\PhpOffice\PhpSpreadsheet\Style\Fill $pFill)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$objWriter</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.XMLWriter.html">\PhpOffice\PhpSpreadsheet\Shared\XMLWriter</a></code><p><p>XML Writer</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$pFill</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Fill.html">\PhpOffice\PhpSpreadsheet\Style\Fill</a></code><p><p>Fill style</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_writeFont"></a>
                        <div class="element clickable methodprivate method_writeFont" data-toggle="collapse" data-target=".method_writeFont .collapse">
                            <h2>Write Font.</h2>
                            <pre>writeFont(\PhpOffice\PhpSpreadsheet\Shared\XMLWriter $objWriter,\PhpOffice\PhpSpreadsheet\Style\Font $pFont)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$objWriter</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.XMLWriter.html">\PhpOffice\PhpSpreadsheet\Shared\XMLWriter</a></code><p><p>XML Writer</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$pFont</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Font.html">\PhpOffice\PhpSpreadsheet\Style\Font</a></code><p><p>Font style</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_writeGradientFill"></a>
                        <div class="element clickable methodprivate method_writeGradientFill" data-toggle="collapse" data-target=".method_writeGradientFill .collapse">
                            <h2>Write Gradient Fill.</h2>
                            <pre>writeGradientFill(\PhpOffice\PhpSpreadsheet\Shared\XMLWriter $objWriter,\PhpOffice\PhpSpreadsheet\Style\Fill $pFill)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$objWriter</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.XMLWriter.html">\PhpOffice\PhpSpreadsheet\Shared\XMLWriter</a></code><p><p>XML Writer</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$pFill</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Fill.html">\PhpOffice\PhpSpreadsheet\Style\Fill</a></code><p><p>Fill style</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_writeNumFmt"></a>
                        <div class="element clickable methodprivate method_writeNumFmt" data-toggle="collapse" data-target=".method_writeNumFmt .collapse">
                            <h2>Write NumberFormat.</h2>
                            <pre>writeNumFmt(\PhpOffice\PhpSpreadsheet\Shared\XMLWriter $objWriter,\PhpOffice\PhpSpreadsheet\Style\NumberFormat $pNumberFormat,integer $pId)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$objWriter</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.XMLWriter.html">\PhpOffice\PhpSpreadsheet\Shared\XMLWriter</a></code><p><p>XML Writer</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$pNumberFormat</h4>
                                                <code>\PhpOffice\PhpSpreadsheet\Style\NumberFormat</code><p><p>Number Format</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$pId</h4>
                                                <code>integer</code><p><p>Number Format identifier</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_writePatternFill"></a>
                        <div class="element clickable methodprivate method_writePatternFill" data-toggle="collapse" data-target=".method_writePatternFill .collapse">
                            <h2>Write Pattern Fill.</h2>
                            <pre>writePatternFill(\PhpOffice\PhpSpreadsheet\Shared\XMLWriter $objWriter,\PhpOffice\PhpSpreadsheet\Style\Fill $pFill)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$objWriter</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.XMLWriter.html">\PhpOffice\PhpSpreadsheet\Shared\XMLWriter</a></code><p><p>XML Writer</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$pFill</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Fill.html">\PhpOffice\PhpSpreadsheet\Style\Fill</a></code><p><p>Fill style</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_writeStyles"></a>
                        <div class="element clickable methodpublic method_writeStyles" data-toggle="collapse" data-target=".method_writeStyles .collapse">
                            <h2>Write styles to XML format.</h2>
                            <pre>writeStyles(\PhpOffice\PhpSpreadsheet\Spreadsheet $spreadsheet): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Writer\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$spreadsheet</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Spreadsheet.html">\PhpOffice\PhpSpreadsheet\Spreadsheet</a></code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p><p>XML Output</p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_parentWriter"> </a>
                            <div class="element clickable propertyprivate property_parentWriter inherited" data-toggle="collapse" data-target=".property_parentWriter .collapse">
                                <h2>Parent Xlsx object.</h2>
                                <pre>parentWriter :\PhpOffice\PhpSpreadsheet\Writer\Xlsx</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Writer.Xlsx.html">\PhpOffice\PhpSpreadsheet\Writer\Xlsx</a></code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Writer\Xlsx\Style"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Writer.Xlsx.html">Xlsx</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Writer.Xlsx.Style.html">Style</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:45 +0000.<br/>
    </footer></body>
</html>
